Subject: Re: Comments on draft-manral-ospf-router-lsa-unknown-type-02

From: Vishwas Manral <[email-masked]>
Date: Tue, 15 Mar 2005 23:22:53 -0800

Alex,

Wouldn't something like
http://www.ietf.org/internet-drafts/draft-ietf-isis-admin-tags-03.txt
fit better in the Router-LSA?

Besides let us not forget, leaving things as is can cause routing loops.
So the main aim of the draft is to specify the behavior in case of
unknown link. Extensions and further enhancements should be done taking
care of the backward compatibility is all we are saying.

Thanks,
Vishwas
-----Original Message-----
From: Mailing List [mailto:[email-masked]] On Behalf Of Alex
Zinin
Sent: Wednesday, March 16, 2005 12:44 PM
To: [email-masked]
Subject: Re: Comments on draft-manral-ospf-router-lsa-unknown-type-02

Vishwas,

  Why are those "messages for informational purposes" better fit for
router-LSAs
  than the TE attributes that we send in opaque-LSAs?

-- 
Alex
http://www.psg.com/~zinin

Tuesday, March 15, 2005, 11:02:20 PM, Vishwas Manral wrote:
> Hi Alex,

>> Seems it's time to put the cards on the table :) What kind of 
>> information do you think we would put in link records?
> I think we can have something equivalent to what ISIS has (TLV for
> experimental use). 
>
http://www.ietf.org/internet-drafts/draft-ietf-isis-experimental-tlv-04.
> txt . We could also use it for sending messages for informational
> purposes.

> Thanks,
> Vishwas

---

From: Acee Lindem <[email-masked]>
Date: Wed, 16 Mar 2005 08:57:15 -0500

Vishwas,

Irrespective of how we decide to document the handling of unknown link 
types, I don't
like the idea of defining new link types and stuffing non-link 
information in them. If it
looks, smells, feels, and tastes like a hack it probably is one.
For OSPFv3, some of us are trying to move the WG in the direction of 
TLVs. I
made a presentation on this at the last IETF.

Thanks,
Acee

---

From: Alex Zinin <[email-masked]>
Date: Wed, 16 Mar 2005 22:26:21 -0800

Vishwas,

> fit better in the Router-LSA?

Putting it in router-LSAs wouldn't be my design choice.

> Besides let us not forget, leaving things as is can cause routing loops.

With what we do today, only in a single case among the set we mentioned
before--when all routers have consistently wrong information.

> care of the backward compatibility is all we are saying.

With what we do today, your proposal only solves one particular failure scenario
among many. Other failure cases are still there.

Usefulness of your proposal otherwise is conditional on introduction of new link
types that would carry non-topological information, which is a questionable
practice.

There is one more consideration, a very pragmatic one--simply publishing an RFC
that says "MUST ignore" is not going to solve the problem. We will still have to
think about the installed base that don't follow it. So on the one hand we don't
really solve the problem (at the very least we'll have routers screaming about
unknown links), and on the other hand we put existing implementations of the
protocol in a position of non-compliance.

With all this in mind, I don't see how this would do us any good.

Alex